/ api / name / gb.collection.new
GB.Collection.New
Syntax

    void GB.Collection.New ( GB_COLLECTION *col , int mode )

Creates a new Gambas Collection object.

- col will receive a reference to the collection object.
- mode is one of the following constant:
  - `GB_COMP_BINARY` to have case sensitive keys.
  - `GB_COMP_TEXT` to have case unsensitive keys.

The collection object has an initial reference count of zero. So you must reference it if you don't return it immediately with GB.ReturnObject.

### See also

Collection Objects Management